```@meta
CurrentModule = PostNewtonian.FundamentalVariables
```

# Fundamental variables

These constitute the basic quantities needed to fully describe a PN binary
system at any instant.  All other variables — and ultimately all PN expressions
— may be expressed as functions of these.  In the docstrings below, `pnsystem`
is an object of any type that subtypes `PNSystem`.

```@docs
PostNewtonian.M₁
PostNewtonian.M₂
PostNewtonian.χ⃗₁
PostNewtonian.χ⃗₂
PostNewtonian.R
PostNewtonian.v
PostNewtonian.Φ
PostNewtonian.λ₁
PostNewtonian.λ₂
```
